// TradeIDs.cpp : implementation file
//

#include "stdafx.h"
#include "DAO_Stock.h"
#include "TradeIDs.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTradeIDs

IMPLEMENT_DYNAMIC(CTradeIDs, CDaoRecordset)

CTradeIDs::CTradeIDs(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CTradeIDs)
	m_Tablename = _T("");
	m_LastID = 0;
	m_nFields = 2;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CTradeIDs::GetDefaultDBName()
{
	return _T("..\\PNStocks.mdb");}

CString CTradeIDs::GetDefaultSQL()
{
	return _T("[TableIDs]");
}

void CTradeIDs::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CTradeIDs)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Text(pFX, _T("[Tablename]"), m_Tablename);
	DFX_Long(pFX, _T("[LastID]"), m_LastID);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CTradeIDs diagnostics

#ifdef _DEBUG
void CTradeIDs::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CTradeIDs::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG

